Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkingSet

All Superinterfaces:
  IPersistableElement

public interface IWorkingSet
extends IPersistableElement

A working set holds a number of IAdaptable elements. A working set is intended to group elements for presentation to the user or for operations on a set of elements.

This interface is not intended to be implemented by clients.

Since:
  2.0 initial version, 3.0 now extends IPersistableElement

Method Summary
`IAdaptable[]` | `getElements()` Returns the elements that are contained in this working set.
`String` | `getId()` Returns the working set id.
`ImageDescriptor` | `getImage()` Returns the working set icon.
`String` | `getName()` Returns the name of the working set.
`void` | `setElements(IAdaptable[] elements)` Sets the elements that are contained in this working set.
`void` | `setId(String id)` Sets the working set id.
`void` | `setName(String name)` Sets the name of the working set.

Methods inherited from interface org.eclipse.ui.IPersistableElement
`getFactoryId, saveState`

Method Detail

### getElements

    public IAdaptable[] getElements()

  Returns the elements that are contained in this working set.

  Returns:
    the working set's elements

### getId

    public String getId()

  Returns the working set id. Returns `null` if no working set id has been set. This is one of the ids defined by extensions of the org.eclipse.ui.workingSets extension point. It is used by the workbench to determine the page to use in the working set edit wizard. The default resource edit page is used if this value is `null`.

  Returns:
    the working set id. May be `null`
  Since:
    2.1

### getImage

    public ImageDescriptor getImage()

  Returns the working set icon. Currently, this is one of the icons specified in the extensions of the org.eclipse.ui.workingSets extension point. The extension is identified using the value returned by `getId()`. Returns `null` if no icon has been specified in the extension or if `getId()` returns `null`.

  Returns:
    the working set icon or `null`.
  Since:
    2.1

### getName

    public String getName()

  Returns the name of the working set.

  Returns:
    the name of the working set

### setElements

    public void setElements(IAdaptable[] elements)

  Sets the elements that are contained in this working set.

  Parameters:
    `elements` - the elements to set in this working set

### setId

    public void setId(String id)

  Sets the working set id. This is one of the ids defined by extensions of the org.eclipse.ui.workingSets extension point. It is used by the workbench to determine the page to use in the working set edit wizard. The default resource edit page is used if this value is `null`.

  Parameters:
    `id` - the working set id. May be `null`
  Since:
    2.1

### setName

    public void setName(String name)

  Sets the name of the working set. The working set name should be unique. The working set name must not have leading or trailing whitespace.

  Parameters:
    `name` - the name of the working set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.